FUNCTION::USER_ULONG(3stap)

NAME
function::user_ulong_error - Retrieves a unsigned long value stored in user space

SYNOPSIS

    user_ulong_error:long(addr:long)

ARGUMENTS

addr
    the user space address to retrieve the unsigned long from

DESCRIPTION

Returns the unsigned long value from a given user space address. If the user space data is not accessible, an error will occur. Note that the size of the unsigned long depends on the architecture of the current user space task (for those architectures that support both 64/32 bit compat tasks).

SEE ALSO
tapset::uconversions(3stap)